Subject: Re: [PATCH net-next-2.6 v4] can: Topcliff: PCH_CAN driver: Add Flow control/Fix Endianess issue/Separate IF register/Enumerate LEC macro/Move MSI processing/Use BIT(X)/Change Message Object index/Add prefix PCH_

From: Wolfgang Grandegger <[email-masked]>
Date: Tue, 16 Nov 2010 21:39:47 +0100

Hi David,

On 11/16/2010 06:14 PM, David Miller wrote:
> 
> Way too many changes in one patch.
> 
> Please post one that fixes the endianness issues.
> 
> One that fixes the register interface seperation.
> 
> One that adds flow control processing.
> 
> etc.
> 
> When you combine many tasks into one patch it's impossible
> to bisect through your changes to debug problems in order
> to figure out which changed introduced a bug.
> 
> I am not applying this, and I will not apply your patches
> until you split them up properly.
> 
> You may think that there is zero value in this, but there
> is huge value in it for anyone who tries to debug your
> changes in the future.  Right now you are making that a
> nearly impossible task.

Please take into account that this patch got accepted by accident
(because the maintainer did not respond properly in time). At that time
the driver was incomplete, not ready for mainline and did not even work
properly. Therefore it makes little sense to debug or even bisec these
changes. Just for that reason I made an exemption and added my
"Acked-by". Hope you can share my arguments.

Wolfgang.